Package org.eclipse.net4j.util.container

## Interface IManagedContainer.ContainerAware

- All Known Subinterfaces:
    `IManagedContainerFactory`
  Enclosing interface:
    IManagedContainer

      public static interface IManagedContainer.ContainerAware

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setManagedContainer​(IManagedContainer container)` | Assigns the container that I should use to get my dependencies.

- - ### Method Detail

    - #### setManagedContainer

          void setManagedContainer​(IManagedContainer container)

      Assigns the container that I should use to get my dependencies.
      Parameters:
        `container` - the container in which I am created/registered